   (DEFUN  POSITION (LAMBDA (X LST)
   ;  POSITION    X      ;
   ;   LST,     -   ;
   ;                    .                   ;
   ;  ,  X   LST            ;
      (COND ( (NULL LST)       0 )
            ( (EQ X (CAR LST)) 1 )
            (   T  (+ 1 (POSITION X (CDR LST))) )
      )
   ))
   ; ---------------------------- ;
   (DEFUN FIRST-EQUAL (LAMBDA (X Y)
   ;  FIRST-EQUAL   , -  ;
   ;     X  Y,     ;
   ;                     NIL                    ;
      (COND ( (NULL X) NIL )
            ( (NULL Y) NIL )
            ( (MEMBER (CAR X) Y) (CAR X) )
            (   T   (FIRST-EQUAL (CDR X) Y)) 
      )
   ))
   ; ------------------------------- ;
   (DEFUN SUBSTRING1 (LAMBDA (LST A B)
   ;     LST      A ;
   ;   B.  ,    ;
   ;             LST         ;
      (COND ( (NULL LST) NIL )
            ( (EQ (CAR LST) A)
                  (CONS B (SUBSTRING1 (CDR LST) A B)) )
            (   T  (CONS (CAR LST)
                         (SUBSTRING1 (CDR LST) A B)) ) 
      )
   ))
   ; ----------------------------------- ;
   (DEFUN SUBSTRING2 (LAMBDA (OLD NEW LST)
   ;   ,   ;
   ;    OLD  NEW  LST  (   ;
   ;                )               ;
       (COND ( (EQUAL OLD LST) NEW )
             ( (ATOM LST) LST )
             (    T   (CONS (SUBSTRING2 OLD NEW (CAR LST))
                            (SUBSTRING2 OLD NEW (CDR LST))) )
       )
   ))
   ; ----------------------------- ;
   (DEFUN SUBSET (LAMBDA (LST1 LST2)
   ;   T,   LST1 ;
   ;        LST2    ;
      (COND ( (NULL LST1) )
            ( (MEMBER (CAR LST1) LST2)
                      (SUBSET (CDR LST1) LST2) )
            ( T  NIL )
      )
   ))
(RDS)